#
# spec file for package python-repoze.who
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-repoze.who
Version:        2.2
Release:        5.2
Url:            http://www.repoze.org
Summary:        Identification and authentication framework for WSGI
License:        SUSE-Repoze
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/r/repoze.who/repoze.who-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-Paste
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildRequires:  python-zope.interface
Requires:       python-Paste
Requires:       python-WebOb
Requires:       python-zope.interface
Provides:       python-repoze-who = %{version}
Obsoletes:      python-repoze-who < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
repoze.who is an identification and authentication framework
for arbitrary WSGI applications.  repoze.who can be configured
either as WSGI middleware or as an API for use by an application.

repoze.who is inspired by Zope 2's Pluggable Authentication
Service (PAS) (but repoze.who is not dependent on Zope in any
way; it is useful for any WSGI application).  It provides no facility
for authorization (ensuring whether a user can or cannot perform the
operation implied by the request).  This is considered to be the
domain of the WSGI application.

%prep
%setup -q -n repoze.who-%{version}

%build
python setup.py build
cd docs && make html && rm -r .build/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Currently broken:
#%%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc *.txt docs/.build/html
%{python_sitelib}/*

%changelog
* Tue Oct  6 2015 dmueller@suse.com
- fix license (SUSE-Repoze)
- update to 2.2:
  Parse INI-file configuration using ``SafeConfigParser``:  allows
  escaping the ``'%%'`` so that e.g. a query template using for a DB-API
  connection using ``pyformat`` preserves the template.
  Added support for Python 3.3, PyPy.
  - ``_compat`` module:  tolerate missing ``CONTENT_TYPE`` key in the WSGI
    environment.  Thanks to Dag Hoidal for the patch.
  - ``htpasswd`` plugin:  add a ``sha1_check`` checker function (the ``crypt``
    module is not available on Windows).  Thanks to Chandrashekar Jayaraman
    for the patch.
  - Documentation typo fixes from Carlos de la Guardia and Atsushi Odagiri.
* Wed Feb  1 2012 saschpe@suse.de
- Initial version
